Index: orxonox/trunk/gui/orxonox_gui.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui.cc	(revision 2618)
+++ orxonox/trunk/gui/orxonox_gui.cc	(revision 2622)
@@ -132,4 +132,6 @@
 void Widget::init()
 {
+  next = NULL;
+  label = "";
   return;
 }
@@ -233,4 +235,9 @@
 void Packer::init (void)
 {
+  down = NULL;
+  this->setGroupName ("");
+
+
+  static_cast<Widget*>(this)->init();
   return;
 }
@@ -262,4 +269,7 @@
 void Container::init (void)
 {
+  is_option = -1;
+
+  static_cast<Packer*>(this)->init();
   return;
 }
@@ -309,9 +319,7 @@
 {
   isOpen = true;
-  is_option = -1;
-  label = "";
-  this->setGroupName ("");
-  next = NULL;
-  down = NULL;
+
+  static_cast<Container*>(this)->init();
+
   widget = gtk_window_new (GTK_WINDOW_TOPLEVEL);
   gtk_window_set_policy (GTK_WINDOW(widget), TRUE, TRUE, TRUE);
@@ -382,9 +390,6 @@
 void Frame::init()
 {
-  is_option = -1;
-  label = "";
-  this->setGroupName("");
-  next = NULL;
-  down = NULL;
+  static_cast<Container*>(this)->init();
+  
   widget = gtk_frame_new ("");
   gtk_container_set_border_width (GTK_CONTAINER (widget), 3);
@@ -427,8 +432,7 @@
 {
   is_option = -1;
-  label = "eventBox";
-  this->setGroupName("");
-  next = NULL;
-  down = NULL;
+
+  static_cast<Container*>(this)->init();
+
   widget = gtk_event_box_new ();
   gtk_container_set_border_width (GTK_CONTAINER (widget), 3);
@@ -471,8 +475,6 @@
 {
   is_option = -2;
-  label = "box";
-  this->setGroupName("");
-  next = NULL;
-  down = NULL;
+
+  static_cast<Packer*>(this)->init();
   if (boxtype == 'v')
     {
@@ -529,6 +531,6 @@
 {
   is_option = 0;
-  label = "";
-  next = NULL;
+
+  static_cast<Widget*>(this)->init();
 }
 
@@ -541,4 +543,11 @@
 void Option::init()
 {
+  value = 0;
+  flag_name = "";
+  flag_name_short = "";
+  default_value = 0;
+
+  static_cast<Widget*>(this)->init();
+
   return;
 }
@@ -590,10 +599,7 @@
 {
   is_option = 0;
-  value = 0;
-  next = NULL;
-  label ="";
-  flag_name = "";
-  flag_name_short = "";
-  default_value = 0;
+
+  static_cast<Option*>(this)->init();
+
   widget = gtk_button_new_with_label ("");
 }
@@ -637,10 +643,7 @@
 {
   is_option = 1;
-  value = 0;
-  next = NULL;
-  label = "";
-  flag_name = "";
-  flag_name_short = "";
-  default_value = 0;
+
+  static_cast<Option*>(this)->init();
+
   widget = gtk_check_button_new_with_label ("");
 }
@@ -701,10 +704,7 @@
 {
   is_option = 2;
-  value = 0;
-  next = NULL;
-  label = "";
-  flag_name = "";
-  flag_name_short = "";
-  default_value = 0;
+
+  static_cast<Option*>(this)->init();
+
   widget = gtk_hscale_new_with_range (start, end, 5);
 }
@@ -781,9 +781,7 @@
 {
   is_option = 2;
-  value = 0;
-  next = NULL;
-  flag_name = "";
-  flag_name_short = "";
-  default_value = 0;
+
+  static_cast<Option*>(this)->init();
+
   widget = gtk_option_menu_new ();
   menu = gtk_menu_new ();
@@ -855,6 +853,7 @@
 {
   is_option = 0;
-  label = "";
-  next = NULL;
+
+  static_cast<Widget*>(this)->init();
+
   widget = gtk_label_new ("");
   gtk_label_set_line_wrap (GTK_LABEL(widget), TRUE);
Index: orxonox/trunk/gui/orxonox_gui.h
===================================================================
--- orxonox/trunk/gui/orxonox_gui.h	(revision 2618)
+++ orxonox/trunk/gui/orxonox_gui.h	(revision 2622)
@@ -38,5 +38,4 @@
 
 //! This is the topmost object that can be displayed all others are derived from it.
-
 class Widget
 {
@@ -47,5 +46,5 @@
   Widget* next; //!< next always points to the next Widget in the list. Every Widget has a next one, or has NULL as next
   GtkWidget* widget; //!< widget is the gtk_widget that the specific Object Contains.
-  virtual void init(void);
+  void init(void);
   int is_option; //!< with this Paramenter one can set the IsOption type: -2:Container, -1: Box, 0: not an Option, 1: Bool-option, 2: int-option
   /**
Index: orxonox/trunk/gui/orxonox_gui_banner.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui_banner.cc	(revision 2618)
+++ orxonox/trunk/gui/orxonox_gui_banner.cc	(revision 2622)
@@ -63,5 +63,5 @@
 	  logoEventBox = new EventBox();
 	  logoBox = new Box('v');
-	  logoLabel = new Label("OrxOnoX");
+	  logoLabel = new Label("OrxOnoX, " PACKAGE_VERSION);
 	  logoImage = new Image("banner.xpm");
 	  logoEventBox->fill(logoImage);