Index: orxonox/trunk/gui/orxonox_gui.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui.cc	(revision 2622)
+++ orxonox/trunk/gui/orxonox_gui.cc	(revision 2623)
@@ -51,5 +51,5 @@
 
 /**
- * Initializes the Gui
+   \brief Initializes the Gui
 */
 OrxonoxGui::OrxonoxGui (int argc, char *argv[])
@@ -106,6 +106,6 @@
 
 /**
- \brief deletes any given Widget
- This is still pretty crappy.
+   \brief deletes any given Widget
+   This is still pretty crappy.
 */
 Widget::~Widget()
@@ -127,7 +127,7 @@
 
 /**
- * Initializes a widget.
- * Nothing to do here.
- */
+   \brief Initializes a widget.
+   Initializes the next Pointer and the other Widget-specific Defaults.
+*/
 void Widget::init()
 {
@@ -138,6 +138,6 @@
 
 /**
- * makes the widget visible.
- */
+   \brief makes the widget visible.
+*/
 void Widget::show()
 {
@@ -146,6 +146,6 @@
 
 /**
- * hides the widget.
- */
+   \brief hides the widget.
+*/
 void Widget::hide()
 {
@@ -154,7 +154,7 @@
 
 /**
- \brief Sets the resolution of a specific widget to the given size.
- \param width the width of the widget to set.
- \param height the height of the widget to set.
+   \brief Sets the resolution of a specific widget to the given size.
+   \param width the width of the widget to set.
+   \param height the height of the widget to set.
 */
 void Widget::setSize(int width, int height)
@@ -164,6 +164,6 @@
 
 /** 
- * Connect any signal to any given Sub-widget
- */
+    \brief Connect any signal to any given Sub-widget
+*/
 void Widget::connectSignal (char* event, gint (*signal)(GtkWidget*, GdkEvent*, void *))
 {
@@ -172,6 +172,6 @@
 
 /**
- * Connect a signal with additionally passing the whole Object
- */
+   \brief Connect a signal with additionally passing the whole Object
+*/
 void Widget::connectSignal (char* event, gint (*signal)( GtkWidget*, Widget *))
 {
@@ -180,6 +180,6 @@
 
 /**
- * Connect a signal with additionally passing a whole external Object
- */
+   \brief Connect a signal with additionally passing a whole external Object
+*/
 void Widget::connectSignal (char* event, void* extObj, gint (*signal)(GtkWidget*, GdkEvent*, void *))
 {
@@ -188,8 +188,7 @@
 
 /**
- * Moves through all the Widgets downwards from this and executes the function on them.
- \param function must be of type void and takes a Widget* as an Input.
-
- */
+   \brief Moves through all the Widgets downwards from this and executes the function on them.
+   \param function must be of type void and takes a Widget* as an Input. 
+*/
 void Widget::walkThrough (void (*function)(Widget*))
 {
@@ -205,6 +204,6 @@
 
 /** 
- * This is for listing the option of "widget"
- \param widget specifies the widget that should be listed
+    \brief This is for listing the option of "widget"
+    \param widget specifies the widget that should be listed
 */
 void Widget::listOptions (Widget* widget)
@@ -215,6 +214,6 @@
 
 /** 
- * This is for setting the option of "widget"
- \param widget specifies the widget that should be set.
+    \brief This is for setting the option of "widget"
+    \param widget specifies the widget that should be set.
 */
 void Widget::setOptions (Widget* widget)
@@ -230,7 +229,7 @@
 
 /**
- * Initializes a Packer.
- * nothing to do here
- */
+   \brief Initializes a Packer.
+   Sets the down-pinter to NULL and other PackerSpecific-values to their defaults.
+*/
 void Packer::init (void)
 {
@@ -264,7 +263,7 @@
 
 /**
- * Initializes a Container.
- * nothing to do here
- */
+   \brief Initializes a Container.
+   sets the Container-Specific defaults.
+*/
 void Container::init (void)
 {
@@ -272,11 +271,12 @@
 
   static_cast<Packer*>(this)->init();
+
   return;
 }
 
 /**
- * Fills a Container with lowerWidget.
- * It does this by filling up the down pointer only if down points to NULL.
- \param lowerWidget the Widget that should be filled into the Container.
+   \briefFills a Container with lowerWidget.
+   It does this by filling up the down pointer only if down points to NULL.
+   \param lowerWidget the Widget that should be filled into the Container.
 */
 void Container::fill (Widget *lowerWidget)
@@ -295,7 +295,7 @@
 /* WINDOW */
 
-  /**
-   * Creating a new Window without a Name
-   */
+/**
+   \brief Creating a new Window without a Name
+*/
 Window::Window (void)
 {
@@ -304,7 +304,7 @@
 
 /**
- * Creating a Window with a name
- \param windowName the name the window should get.
- */
+   \brief Creating a Window with a name
+   \param windowName the name the window should get.
+*/
 Window::Window (char* windowName)
 {
@@ -314,6 +314,6 @@
 
 /**
- *initializes a new Window
- */
+   \brief initializes a new Window
+*/
 void Window::init()
 {
@@ -331,6 +331,6 @@
 
 /**
- * Shows all Widgets that are included within this->widget.
- */
+   \brief Shows all Widgets that are included within this->widget.
+*/
 void Window::showall ()
 {
@@ -340,6 +340,6 @@
 
 /**
- * Set The Window-title to title
- \param title title the Window should get.
+   \brief Set The Window-title to title
+   \param title title the Window should get.
 */
 void Window::setTitle (char* title)
@@ -369,6 +369,6 @@
 
 /** 
- * Creates a new Frame without a name
- */
+    \brief Creates a new Frame without a name
+*/
 Frame::Frame (void)
 {
@@ -377,6 +377,6 @@
 
 /**
- * Creates a new Frame with name title
- */
+   \brief Creates a new Frame with name title
+*/
 Frame::Frame (char* title)
 {
@@ -386,6 +386,6 @@
 
 /** 
- * Initializes a new Frame with default settings
- */
+    \brief Initializes a new Frame with default settings
+*/
 void Frame::init()
 {
@@ -397,7 +397,7 @@
 
 /**
- * Sets the Frames name to title
- \param title The title the Frame should get.
- */
+   \brief Sets the Frames name to title
+   \param title The title the Frame should get.
+*/
 void Frame::setTitle (char* title)
 {
@@ -409,6 +409,6 @@
 
 /**
- * Creates a new EventBox with default settings.
- */
+   \brief Creates a new EventBox with default settings.
+*/
 EventBox::EventBox ()
 {
@@ -416,6 +416,6 @@
 }
 /**
- * Creates a new EventBox with name title
- \param title title the Eventbox should get (only data-structure-internal)
+   \brief Creates a new EventBox with name title
+   \param title title the Eventbox should get (only data-structure-internal)
 */
 EventBox::EventBox (char* title)
@@ -427,6 +427,6 @@
 
 /**
- * Initializes a new EventBox
- */
+   \brief Initializes a new EventBox
+*/
 void EventBox::init(void)
 {
@@ -441,6 +441,6 @@
 
 /**
- * Sets the Title of the EventBox (not implemented)
- \param title Name the EventBox should get (only datastructure-internal).
+   \brief Sets the Title of the EventBox (not implemented)
+   \param title Name the EventBox should get (only datastructure-internal).
 */
 void EventBox::setTitle (char* title)
@@ -452,6 +452,6 @@
 
 /**
- * Creates a new horizontal Box
- */
+   \brief Creates a new horizontal Box
+*/
 Box::Box (void)
 {
@@ -460,7 +460,7 @@
 
 /**
- * Creates a new Box of type boxtype
- \param boxtype if 'v' the Box will be vertically, if 'h' the Box will be horizontally
- */
+   \brief Creates a new Box of type boxtype
+   \param boxtype if 'v' the Box will be vertically, if 'h' the Box will be horizontally
+*/
 Box::Box (char boxtype)
 {
@@ -469,6 +469,6 @@
 
 /**
- * Initializes a new Box with type boxtype
- \param boxtype see Box(char boxtype)
+   \brief Initializes a new Box with type boxtype
+   \param boxtype see Box(char boxtype)
 */
 void Box::init(char boxtype)
@@ -488,13 +488,10 @@
 
 /** 
- * Fills a box with a given Widget.
- * It does this by apending the first one to its down-pointer and all its following ones to the preceding next-pointer. The last one will receive a NULL pointer as Next
- \param lowerWidget the next Widget that should be appendet to this Box
- */
+    \brief Fills a box with a given Widget.
+    It does this by apending the first one to its down-pointer and all its following ones to the preceding next-pointer. The last one will receive a NULL pointer as Next
+    \param lowerWidget the next Widget that should be appendet to this Box
+*/
 void Box::fill (Widget *lowerWidget)
 {
-  /**
-   * Fill a Box with its lowerwidgets
-   */
   gtk_box_pack_start (GTK_BOX (this->widget), lowerWidget->widget, TRUE, TRUE, 0);
   if (this->down == NULL)
@@ -515,6 +512,6 @@
 
 /**
- * Creates a new Image
- \param imagename the location of the Image on the Hard Disc
+   \brief Creates a new Image
+   \param imagename the location of the Image on the Hard Disc
 */
 Image::Image (char* imagename)
@@ -526,6 +523,6 @@
 
 /** 
- * Initializes a new Image
- */
+    \brief Initializes a new Image
+*/
 void Image::init()
 {
@@ -539,6 +536,7 @@
 
 /**
- * Initializes a new Option: nothing to do here
- */
+   \brief Initializes a new Option.
+   sets all Option-Specific-Values to their defaults.
+*/
 void Option::init()
 {
@@ -554,8 +552,8 @@
 
 /**
- * This sets The FlagName of an Option and defines its default Values
- !! Options will be saved if flagname is different from "" !!
-\param flagname the Name that will be displayed in the output
-\param defaultvalue the default Value for this Option (see definition of defaultvalue
+   \brief This sets The FlagName of an Option and defines its default Values
+   !! Options will be saved if flagname is different from "" !!
+   \param flagname the Name that will be displayed in the output
+   \param defaultvalue the default Value for this Option (see definition of defaultvalue
 */
 void Option::setFlagName (char* flagname, int defaultvalue)
@@ -567,8 +565,8 @@
 
 /** 
- * see Option::setFlagName (char* flagname, int defaultvalue)
- \param flagname the Name that will be displayed in the output
- \param defaultvalue the default Value for this Option (see definition of defaultvalue
- \param flagnameshort a short flagname to be displayed in the output
+    \brief see Option::setFlagName (char* flagname, int defaultvalue)
+    \param flagname the Name that will be displayed in the output
+    \param defaultvalue the default Value for this Option (see definition of defaultvalue
+    \param flagnameshort a short flagname to be displayed in the output
 */
 void Option::setFlagName (char* flagname, char* flagnameshort,  int defaultvalue)
@@ -584,6 +582,6 @@
 
 /**
- * Creates a new Button with a buttonname
- \param buttonname sets the Name of the Button
+   \brief Creates a new Button with a buttonname
+   \param buttonname sets the Name of the Button
 */
 Button::Button(char* buttonname)
@@ -594,6 +592,6 @@
 
 /**
- * Initializes a new Button
- */
+   \brief Initializes a new Button
+*/
 void Button::init(void)
 {
@@ -606,6 +604,6 @@
 
 /**
- * Sets a new name to the Button
-\param title The name the Button should get
+   \brief Sets a new name to the Button
+   \param title The name the Button should get
 */
 void Button::setTitle (char *title)
@@ -616,7 +614,7 @@
 
 /**
- * redraws the Button
- * not implemented yet
- */
+   \brief redraws the Button
+   not implemented yet
+*/
 void Button::redraw ()
 {
@@ -626,7 +624,7 @@
 
 /**
- * Creates a new CheckButton with an ame 
- \param buttonname The name the CheckButton should display.
- */
+   \brief Creates a new CheckButton with an ame 
+   \param buttonname The name the CheckButton should display.
+*/
 CheckButton::CheckButton (char* buttonname)
 {
@@ -638,6 +636,6 @@
 
 /**
- * Initiali a new CheckButton with default settings
- */
+   \brief Initialize a new CheckButton with default settings
+*/
 void CheckButton::init(void)
 {
@@ -650,6 +648,6 @@
 
 /**
- * Sets a new Title to a CheckButton
- \param title The new Name the CheckButton should display.
+   \brief Sets a new Title to a CheckButton
+   \param title The new Name the CheckButton should display.
 */
 void CheckButton::setTitle(char* title)
@@ -661,8 +659,8 @@
 
 /** 
- * Signal OptionChange writes the Value from the CheckButton to its Object-Database.
- \param widget The widget(CheckButton) that has a changed Value
- \param checkbutton the CheckButton-Object that should receive the change.
- */
+    \brief Signal OptionChange writes the Value from the CheckButton to its Object-Database.
+    \param widget The widget(CheckButton) that has a changed Value
+    \param checkbutton the CheckButton-Object that should receive the change.
+*/
 gint CheckButton::OptionChange (GtkWidget *widget, Widget* checkbutton)
 {
@@ -673,7 +671,7 @@
 
 /**
- * Redraws the CheckButton (if option has changed).
- * Example: if new settings are loaded the Button must be redrawn for the GUI to display that Change
- */
+   \brief Redraws the CheckButton (if option has changed).
+   Example: if new settings are loaded the Button must be redrawn for the GUI to display that Change
+*/
 void CheckButton::redraw ()
 {
@@ -684,8 +682,8 @@
 
 /**
- * Creates a new Slider
- \param slidername The data-structure-name of the slider.
- \param start The minimal Value of the slider.
- \param end The maximal Value of the slider.
+   \brief Creates a new Slider
+   \param slidername The data-structure-name of the slider.
+   \param start The minimal Value of the slider.
+   \param end The maximal Value of the slider.
 */
 Slider::Slider (char* slidername, int start, int end)
@@ -698,7 +696,7 @@
 
 /**
- * Initializes a Slider with start and end Values
- * params: see Slider::Slider (char* slidername, int start, int end)
- */
+   \brief Initializes a Slider with start and end Values
+   params: see Slider::Slider (char* slidername, int start, int end)
+*/
 void Slider::init(int start, int end)
 {
@@ -711,6 +709,6 @@
 
 /**
- * Sets a new Title to the Slider
- \param title The new Name of the slider
+   \brief Sets a new Title to the Slider
+   \param title The new Name of the slider
 */
 void Slider::setTitle(char* title)
@@ -720,7 +718,7 @@
 
 /**
- * Setting a new value to the Slider.
- * Maybe you also require a Slider::redraw() for this to display
- */
+   \brief Setting a new value to the Slider.
+   Maybe you also require a Slider::redraw() for this to display
+*/
 void Slider::setValue(int value)
 {
@@ -729,8 +727,8 @@
 
 /** 
- * Signal OptionChange writes the Value from the Slider to its Object-Database.
- \param widget The widget(Slider) that has a changed Value
- \param slider the Slider-Object that should receive the change.
- */
+    \brief Signal OptionChange writes the Value from the Slider to its Object-Database.
+    \param widget The widget(Slider) that has a changed Value
+    \param slider the Slider-Object that should receive the change.
+*/
 gint Slider::OptionChange (GtkWidget *widget, Widget* slider)
 {
@@ -741,7 +739,7 @@
 
 /**
- * Redraws the widget
- * Example: see void CheckButton::redraw ()
- */
+   \brief Redraws the widget
+   Example: see void CheckButton::redraw ()
+*/
 void Slider::redraw ()
 {
@@ -752,9 +750,9 @@
 
 /** 
- * Creates a Menu-Item-list out of multiple input.
- * !! Consider, that the last input argument has to be "lastItem" for this to work!!
- \param menuname The Database-Name of this Menu
- \param ... items to be added to this Menu. !! Consider, that the last input argument has to be "lastItem" for this to work!!
- */
+    \brief Creates a Menu-Item-list out of multiple input.
+    !! Consider, that the last input argument has to be "lastItem" for this to work!!
+    \param menuname The Database-Name of this Menu
+    \param ... items to be added to this Menu. !! Consider, that the last input argument has to be "lastItem" for this to work!!
+*/
 Menu::Menu (char* menuname, ...)
 {
@@ -776,6 +774,6 @@
 
 /**
- * Initializes a new Menu with no items
- */
+   \brief Initializes a new Menu with no items
+*/
 void Menu::init(void)
 {
@@ -799,6 +797,6 @@
 
 /**
- * appends a new Item to the Menu-List.
- \param itemName the itemName to be appendet.
+   \brief appends a new Item to the Menu-List.
+   \param itemName the itemName to be appendet.
 */
 void Menu::addItem (char* itemName)
@@ -809,8 +807,9 @@
 
 /** 
- * Signal OptionChange writes the Value from the Menu to its Object-Database.
- \param widget The widget(Menu) that has a changed Value
- \param menu the Menu-Object that should receive the change.
- */gint Menu::OptionChange (GtkWidget *widget, Widget* menu)
+    \brief Signal OptionChange writes the Value from the Menu to its Object-Database.
+    \param widget The widget(Menu) that has a changed Value
+    \param menu the Menu-Object that should receive the change.
+*/
+gint Menu::OptionChange (GtkWidget *widget, Widget* menu)
 {
   static_cast<Menu*>(menu)->value = (int)gtk_option_menu_get_history (GTK_OPTION_MENU (menu->widget));
@@ -820,6 +819,6 @@
 
 /**
- * Redraws the widget
- * Example: see void CheckButton::redraw ()
+   \brief Redraws the widget
+   Example: see void CheckButton::redraw ()
  */
 void Menu::redraw ()
@@ -829,7 +828,7 @@
 
 /**
- * Creates a new default Label with no Text.
- * You migth consider adding Label::setTitle with this.
- */
+   \brief Creates a new default Label with no Text.
+   You migth consider adding Label::setTitle with this.
+*/
 Label:: Label ()
 {
@@ -838,6 +837,6 @@
 
 /**
- * Creates a new Label with a Text.
- \param text The text to be displayed.
+   \brief Creates a new Label with a Text.
+   \param text The text to be displayed.
 */
 Label:: Label (char* text)
@@ -848,6 +847,6 @@
 
 /**
- * initializes a new Label
- */
+   \brief initializes a new Label
+*/
 void Label::init(void)
 {
@@ -861,7 +860,7 @@
 
 /**
- * Sets a new Text to a Label.
- \param text The text to be inserted into the Label.
- */
+   \brief Sets a new Text to a Label.
+   \param text The text to be inserted into the Label.
+*/
 void Label::setText (char * text)
 {
@@ -871,6 +870,6 @@
 
 /**
- * get the Text of a Label
- \return The Text the Label holds.
+   \brief get the Text of a Label
+   \return The Text the Label holds.
 */
 char* Label::getText ()