Index: code/branches/buildsystem2/src/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/CMakeLists.txt	(revision 2624)
@@ -54,9 +54,9 @@
   IF(NOT IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/ceguilua/ceguilua-${CEGUI_VERSION})
     MESSAGE(FATAL_ERROR "CEGUILua version not found in src folder. Update list of supported versions in LibraryConfig.cmake!")
-  ENDIF(NOT IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/ceguilua/ceguilua-${CEGUI_VERSION})
+  ENDIF()
 
   INCLUDE_DIRECTORIES(ceguilua/ceguilua-${CEGUI_VERSION})
   ADD_SUBDIRECTORY(ceguilua)
-ENDIF(CEGUILUA_USE_INTERNAL_LIBRARY)
+ENDIF()
 
 ADD_SUBDIRECTORY(cpptcl)
Index: code/branches/buildsystem2/src/ceguilua/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/ceguilua/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/ceguilua/CMakeLists.txt	(revision 2624)
@@ -21,5 +21,5 @@
   IF(_compare_result EQUAL 1)
     BREAK() # _version > CEGUI_VERSION
-  ENDIF(_compare_result EQUAL 1)
+  ENDIF()
   ADD_SUBDIRECTORY(ceguilua-${_version})
 ENDFOREACH(_version)
@@ -53,5 +53,5 @@
 )
 
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS ceguilua_orxonox LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
Index: code/branches/buildsystem2/src/core/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/core/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/core/CMakeLists.txt	(revision 2624)
@@ -64,5 +64,5 @@
 )
 
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS core LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
Index: code/branches/buildsystem2/src/cpptcl/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/cpptcl/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/cpptcl/CMakeLists.txt	(revision 2624)
@@ -16,7 +16,7 @@
 IF(MSVC)
   ADD_LIBRARY(cpptcl_orxonox STATIC ${CPPTCL_FILES})
-ELSE(MSVC)
+ELSE()
   ADD_LIBRARY(cpptcl_orxonox SHARED ${CPPTCL_FILES})
-ENDIF(MSVC)
+ENDIF()
 
 TARGET_LINK_LIBRARIES(cpptcl_orxonox
@@ -24,5 +24,5 @@
 )
 
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS cpptcl_orxonox LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
Index: code/branches/buildsystem2/src/network/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/network/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/network/CMakeLists.txt	(revision 2624)
@@ -22,7 +22,7 @@
 IF(MINGW)
   ADD_LIBRARY(network ${NETWORK_FILES})
-ELSE(MINGW)
+ELSE()
   ADD_LIBRARY(network SHARED ${NETWORK_FILES})
-ENDIF(MINGW)
+ENDIF()
 
 SET_TARGET_PROPERTIES(network PROPERTIES DEFINE_SYMBOL "NETWORK_SHARED_BUILD")
@@ -35,16 +35,16 @@
 )
 
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS network LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
 
 # build those parts only on request.
 IF(NETWORK_TESTING_ENABLED)
   ##### test for gamestate stuff #####
-  SET( TEST_SRC_FILES
+  SET(TEST_SRC_FILES
     ${NETWORK_SRC_FILES}
   )
   ADD_EXECUTABLE(networktest ${TEST_SRC_FILES})
-  TARGET_LINK_LIBRARIES( networktest
+  TARGET_LINK_LIBRARIES(networktest
     ${OGRE_LIBRARY}
     network
Index: code/branches/buildsystem2/src/ogreceguirenderer/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/ogreceguirenderer/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/ogreceguirenderer/CMakeLists.txt	(revision 2624)
@@ -16,5 +16,5 @@
   ${CEGUI_LIBRARY}
 )
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS ogreceguirenderer_orxonox LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
Index: code/branches/buildsystem2/src/ois/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/ois/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/ois/CMakeLists.txt	(revision 2624)
@@ -29,5 +29,5 @@
 ELSEIF(UNIX)
   ADD_SUBDIRECTORY(linux)
-ENDIF (WIN32)
+ENDIF()
 
 GENERATE_SOURCE_GROUPS(${OIS_FILES})
@@ -36,9 +36,9 @@
 INCLUDE_DIRECTORIES(.)
 
-ADD_LIBRARY(ois_orxonox SHARED ${OIS_FILES} )
+ADD_LIBRARY(ois_orxonox SHARED ${OIS_FILES})
 SET_TARGET_PROPERTIES(ois_orxonox PROPERTIES DEFINE_SYMBOL "OIS_NONCLIENT_BUILD")
 
 IF(WIN32)
-  TARGET_LINK_LIBRARIES( ois_orxonox ${DIRECTX_LIBRARIES} )
-ENDIF(WIN32)
+  TARGET_LINK_LIBRARIES(ois_orxonox ${DIRECTX_LIBRARIES})
+ENDIF()
 
Index: code/branches/buildsystem2/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/orxonox/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/orxonox/CMakeLists.txt	(revision 2624)
@@ -27,5 +27,4 @@
 
 IF(NETWORKTRAFFIC_TESTING_ENABLED)
-
   SET(ORXONOXS_SRC_FILES
     GraphicsEngine.cc
@@ -33,5 +32,4 @@
     CameraManager.cc
   )
-
   ADD_LIBRARY(orxonoxs SHARED ${ORXONOXS_SRC_FILES})
 ENDIF(NETWORKTRAFFIC_TESTING_ENABLED)
@@ -61,11 +59,11 @@
   IF(CMAKE_CL_64)
     SET(MSVC_PLATFORM "x64")
-  ELSE(CMAKE_CL_64)
+  ELSE()
     SET(MSVC_PLATFORM "Win32")
-  ENDIF(CMAKE_CL_64)
+  ENDIF()
   CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/orxonox.vcproj.user" "${CMAKE_CURRENT_BINARY_DIR}/orxonox.vcproj.user")
 ENDIF(MSVC)
 
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS orxonox RUNTIME DESTINATION bin)
-ENDIF (NOT WIN32)
+ENDIF()
Index: code/branches/buildsystem2/src/tinyxml/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/tinyxml/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/tinyxml/CMakeLists.txt	(revision 2624)
@@ -15,9 +15,9 @@
 IF(MSVC)
   ADD_LIBRARY(tinyxml++_orxonox STATIC ${TINYXML++_FILES})
-ELSE(MSVC)
+ELSE()
   ADD_LIBRARY(tinyxml++_orxonox SHARED ${TINYXML++_FILES})
-ENDIF(MSVC)
+ENDIF()
 
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS tinyxml++_orxonox LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
Index: code/branches/buildsystem2/src/tolua/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/tolua/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/tolua/CMakeLists.txt	(revision 2624)
@@ -19,7 +19,7 @@
 TARGET_LINK_LIBRARIES(tolua++_orxonox ${LUA_LIBRARIES})
 
-IF (NOT WIN32)
+IF(NOT WIN32)
 #  INSTALL(TARGETS tolualib_orxonox LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()
 
 
Index: code/branches/buildsystem2/src/util/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/util/CMakeLists.txt	(revision 2623)
+++ code/branches/buildsystem2/src/util/CMakeLists.txt	(revision 2624)
@@ -23,5 +23,5 @@
 TARGET_LINK_LIBRARIES(util ${OGRE_LIBRARY})
 
-IF (NOT WIN32)
+IF(NOT WIN32)
   INSTALL(TARGETS util LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ENDIF()