Index: /code/branches/buildsystem2/src/audio/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/audio/CMakeLists.txt	(revision 2626)
+++ /code/branches/buildsystem2/src/audio/CMakeLists.txt	(revision 2627)
@@ -18,5 +18,12 @@
  #
 
-SET_SOURCE_FILES(AUDIO_SRC_FILES
+SET_SOURCE_FILES(AUDIO_FILES
+  AudioBuffer.h
+  AudioIncludes.h
+  AudioManager.h
+  AudioPrereqs.h
+  AudioSource.h
+  AudioStream.h
+
   AudioBuffer.cc
   AudioManager.cc
@@ -24,6 +31,6 @@
   AudioStream.cc
 )
-GET_ALL_HEADER_FILES(AUDIO_HDR_FILES)
-SET(AUDIO_FILES ${AUDIO_SRC_FILES} ${AUDIO_HDR_FILES})
+#GET_ALL_HEADER_FILES(AUDIO_HDR_FILES)
+#SET(AUDIO_FILES ${AUDIO_SRC_FILES} ${AUDIO_HDR_FILES})
 GENERATE_SOURCE_GROUPS(${AUDIO_FILES})
 
Index: /code/branches/buildsystem2/src/ceguilua/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ceguilua/CMakeLists.txt	(revision 2626)
+++ /code/branches/buildsystem2/src/ceguilua/CMakeLists.txt	(revision 2627)
@@ -41,5 +41,9 @@
     BREAK() # _version > CEGUI_VERSION
   ENDIF()
-  ADD_SUBDIRECTORY(ceguilua-${_version})
+  
+  ADD_SUBDIRECTORY(ceguilua-${_version}) # Sets parent scope variable
+  FOREACH(_file ${_package_files})
+    CONFIGURE_FILE(ceguilua-${_version}/package/${_file} ${CEGUILUA_BINARY_DIR}/${_file} COPYONLY)
+  ENDFOREACH(_file)
 ENDFOREACH(_version)
 
Index: /code/branches/buildsystem2/src/ceguilua/ceguilua-0.5.0/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ceguilua/ceguilua-0.5.0/CMakeLists.txt	(revision 2626)
+++ /code/branches/buildsystem2/src/ceguilua/ceguilua-0.5.0/CMakeLists.txt	(revision 2627)
@@ -1,32 +1,34 @@
- #
- #             ORXONOX - the hottest 3D action shooter ever to exist
- #                             > www.orxonox.net <
- #
- #        This program is free software; you can redistribute it and/or
- #         modify it under the terms of the GNU General Public License
- #        as published by the Free Software Foundation; either version 2
- #            of the License, or (at your option) any later version.
- #
- #       This program is distributed in the hope that it will be useful,
- #        but WITHOUT ANY WARRANTY; without even the implied warranty of
- #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #                 GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License along
- #      with this program; if not, write to the Free Software Foundation,
- #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
+SET(_package_files
+  exceptions.lua Basic.pkg FontManager.pkg InputEvent.pkg OutStream.pkg
+  System.pkg WindowManager.pkg CEGUI.pkg HelperFunctions.pkg Iterators.pkg
+  PropertyHelper.pkg Texture.pkg CoordConverter.pkg Image.pkg Key.pkg
+  Renderer.pkg UnifiedCoordSystem.pkg EventSet.pkg Imageset.pkg Logger.pkg
+  Scheme.pkg Window.pkg Font.pkg ImagesetManager.pkg MouseCursor.pkg
+  SchemeManager.pkg WindowFactoryManager.pkg
 
-# Copy all files from the package folder to the binary directory
+  elements/ButtonBase.pkg elements/Checkbox.pkg elements/ComboDropList.pkg
+  elements/Combobox.pkg elements/DragContainer.pkg elements/Editbox.pkg
+  elements/FrameWindow.pkg elements/GUISheet.pkg elements/ItemEntry.pkg
+  elements/ItemListBase.pkg elements/ItemListbox.pkg elements/ListHeader.pkg
+  elements/ListHeaderSegment.pkg elements/Listbox.pkg elements/ListboxItem.pkg
+  elements/ListboxTextItem.pkg elements/MenuBase.pkg elements/MenuItem.pkg
+  elements/Menubar.pkg elements/MultiColumnList.pkg
+  elements/MultiLineEditbox.pkg elements/PopupMenu.pkg elements/ProgressBar.pkg
+  elements/PushButton.pkg elements/RadioButton.pkg elements/ScrollablePane.pkg
+  elements/Scrollbar.pkg elements/ScrolledContainer.pkg
+  elements/ScrolledItemListBase.pkg elements/Slider.pkg elements/Spinner.pkg
+  elements/TabButton.pkg elements/TabControl.pkg elements/Thumb.pkg
+  elements/Titlebar.pkg elements/Tooltip.pkg
+  
+  falagard/Dimension.pkg falagard/Enums.pkg falagard/FalagardComponentBase.pkg
+  falagard/FrameComponent.pkg falagard/ImageryComponent.pkg
+  falagard/ImagerySection.pkg falagard/LayerSpecification.pkg
+  falagard/NamedArea.pkg falagard/PropertyDefinition.pkg
+  falagard/PropertyDefinitionBase.pkg falagard/PropertyInitialiser.pkg
+  falagard/PropertyLinkDefinition.pkg falagard/SectionSpecification.pkg
+  falagard/StateImagery.pkg falagard/TextComponent.pkg
+  falagard/WidgetComponent.pkg falagard/WidgetLookFeel.pkg
+  falagard/WidgetLookManager.pkg
 
-# Only do this once since GLOB_RECURSE is quite slow
-# No, don't. When switch back from 0.6 to 0.5 and keeping the binary dir
-# This will cause problems.
-#IF(EXISTS ${CEGUILUA_BINARY_DIR}/exceptions.lua)
-#  RETURN()
-#ENDIF(EXISTS ${CEGUILUA_BINARY_DIR}/exceptions.lua)
-
-FILE(GLOB_RECURSE _package_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/package "*.pkg")
-FOREACH(_file ${_package_files} "exceptions.lua")
-  CONFIGURE_FILE(package/${_file} ${CEGUILUA_BINARY_DIR}/${_file} COPYONLY)
-ENDFOREACH(_file)
+  PARENT_SCOPE
+)
Index: /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.0/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.0/CMakeLists.txt	(revision 2626)
+++ /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.0/CMakeLists.txt	(revision 2627)
@@ -1,23 +1,2 @@
- #
- #             ORXONOX - the hottest 3D action shooter ever to exist
- #                             > www.orxonox.net <
- #
- #        This program is free software; you can redistribute it and/or
- #         modify it under the terms of the GNU General Public License
- #        as published by the Free Software Foundation; either version 2
- #            of the License, or (at your option) any later version.
- #
- #       This program is distributed in the hope that it will be useful,
- #        but WITHOUT ANY WARRANTY; without even the implied warranty of
- #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #                 GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License along
- #      with this program; if not, write to the Free Software Foundation,
- #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
-
-# Copy all files from the package folder to the binary directory
-
 SET(_package_files
   CEGUI.pkg
@@ -29,7 +8,5 @@
   elements/Tree.pkg
   elements/TreeItem.pkg
+
+  PARENT_SCOPE
 )
-
-FOREACH(_file ${_package_files})
-  CONFIGURE_FILE(package/${_file} ${CEGUILUA_BINARY_DIR}/${_file} COPYONLY)
-ENDFOREACH(_file)
Index: /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.1/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.1/CMakeLists.txt	(revision 2626)
+++ /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.1/CMakeLists.txt	(revision 2627)
@@ -1,28 +1,5 @@
- #
- #             ORXONOX - the hottest 3D action shooter ever to exist
- #                             > www.orxonox.net <
- #
- #        This program is free software; you can redistribute it and/or
- #         modify it under the terms of the GNU General Public License
- #        as published by the Free Software Foundation; either version 2
- #            of the License, or (at your option) any later version.
- #
- #       This program is distributed in the hope that it will be useful,
- #        but WITHOUT ANY WARRANTY; without even the implied warranty of
- #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #                 GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License along
- #      with this program; if not, write to the Free Software Foundation,
- #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
-
-# Copy all files from the package folder to the binary directory
-
 SET(_package_files
   Window.pkg
+
+  PARENT_SCOPE
 )
-
-FOREACH(_file ${_package_files})
-  CONFIGURE_FILE(package/${_file} ${CEGUILUA_BINARY_DIR}/${_file} COPYONLY)
-ENDFOREACH(_file)
Index: /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.2/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.2/CMakeLists.txt	(revision 2626)
+++ /code/branches/buildsystem2/src/ceguilua/ceguilua-0.6.2/CMakeLists.txt	(revision 2627)
@@ -1,23 +1,2 @@
- #
- #             ORXONOX - the hottest 3D action shooter ever to exist
- #                             > www.orxonox.net <
- #
- #        This program is free software; you can redistribute it and/or
- #         modify it under the terms of the GNU General Public License
- #        as published by the Free Software Foundation; either version 2
- #            of the License, or (at your option) any later version.
- #
- #       This program is distributed in the hope that it will be useful,
- #        but WITHOUT ANY WARRANTY; without even the implied warranty of
- #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #                 GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License along
- #      with this program; if not, write to the Free Software Foundation,
- #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
-
-# Copy all files from the package folder to the binary directory
-
 SET(_package_files
   EventSet.pkg
@@ -26,7 +5,5 @@
   Window.pkg
   WindowManager.pkg
+
+  PARENT_SCOPE
 )
-
-FOREACH(_file ${_package_files})
-  CONFIGURE_FILE(package/${_file} ${CEGUILUA_BINARY_DIR}/${_file} COPYONLY)
-ENDFOREACH(_file)
Index: /code/branches/buildsystem2/src/util/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/util/CMakeLists.txt	(revision 2626)
+++ /code/branches/buildsystem2/src/util/CMakeLists.txt	(revision 2627)
@@ -18,5 +18,25 @@
  #
 
-SET_SOURCE_FILES(UTIL_SRC_FILES
+SET_SOURCE_FILES(UTIL_FILES
+  CRC32.h
+  Clipboard.h
+  Convert.h
+  Debug.h
+  Exception.h
+  ExprParser.h
+  Integers.h
+  Math.h
+  MathConvert.h
+  MultiType.h
+  MultiTypeValue.h
+  OutputBuffer.h
+  OutputHandler.h
+  SignalHandler.h
+  Sleep.h
+  String.h
+  SubString.h
+  UtilPrereqs.h
+  mbool.h
+
   Clipboard.cc
   CRC32.cc
@@ -31,6 +51,6 @@
   SubString.cc
 )
-GET_ALL_HEADER_FILES(UTIL_HDR_FILES)
-SET(UTIL_FILES ${UTIL_SRC_FILES} ${UTIL_HDR_FILES})
+#GET_ALL_HEADER_FILES(UTIL_HDR_FILES)
+#SET(UTIL_FILES ${UTIL_SRC_FILES} ${UTIL_HDR_FILES})
 GENERATE_SOURCE_GROUPS(${UTIL_FILES})
 # Also add OrxonoxConfig.h to have it least somewhere in the IDE