Index: code/branches/buildsystem2/cmake/BuildConfig.cmake
===================================================================
--- code/branches/buildsystem2/cmake/BuildConfig.cmake	(revision 2629)
+++ code/branches/buildsystem2/cmake/BuildConfig.cmake	(revision 2630)
@@ -118,4 +118,7 @@
 ####### Static/Dynamic linking defines ##########
 
+# Disable Boost auto linking completely
+ADD_COMPILER_FLAGS("-DBOOST_ALL_NO_LIB")
+
 # If no defines are specified, these libs get linked statically
 ADD_COMPILER_FLAGS("-DBOOST_ALL_DYN_LINK" WIN32 LINK_BOOST_DYNAMIC)
Index: code/branches/buildsystem2/cmake/LibraryConfig.cmake
===================================================================
--- code/branches/buildsystem2/cmake/LibraryConfig.cmake	(revision 2629)
+++ code/branches/buildsystem2/cmake/LibraryConfig.cmake	(revision 2630)
@@ -103,16 +103,9 @@
 ##### OpenAL #####
 FIND_PACKAGE(OpenAL REQUIRED)
-# ALUT's headers include openal headers, but like <AL/al.h>, not <al.h>
-# Unfortunately this is not the case on all systems, so FindOpenAL.cmake
-# specifies the directory/AL, which now causes problems with ALUT.
-IF(DEFINED OPENAL_FOUND_FIRST_TIME)
-  SET(OPENAL_FOUND_FIRST_TIME FALSE CACHE INTERNAL "")
-ELSE()
-  SET(OPENAL_FOUND_FIRST_TIME TRUE CACHE INTERNAL "")
-  STRING(REGEX REPLACE "^(.*)/AL$" "\\1" _openal_dir_2 ${OPENAL_INCLUDE_DIR})
-  IF(_openal_dir_2)
-    SET(OPENAL_INCLUDE_DIR ${OPENAL_INCLUDE_DIR} ${_openal_dir_2} CACHE STRING "" FORCE)
-  ENDIF()
+# Also use parent include dir (without AL/) for ALUT
+IF(OPENAL_INCLUDE_DIR MATCHES "/AL$")
+  GET_FILENAME_COMPONENT(ALT_OPENAL_INCLUDE_DIR ${OPENAL_INCLUDE_DIR} PATH)
 ENDIF()
+SET(OPENAL_INCLUDE_DIRS ${OPENAL_INCLUDE_DIR} ${ALT_OPENAL_INCLUDE_DIR})
 # Notfiy user
 FIND_PACKAGE_HANDLE_STANDARD_ARGS(OpenAL DEFAULT_MSG OPENAL_LIBRARY OPENAL_INCLUDE_DIR)
@@ -132,15 +125,10 @@
 # Expand the next statement if newer boost versions than 1.36.1 are released
 SET(Boost_ADDITIONAL_VERSIONS 1.37 1.37.0)
-FIND_PACKAGE(Boost 1.34 REQUIRED thread filesystem)
-# With MSVC, automatic linking is performed for boost. So wee need to tell
-# the linker where to find them. Also note that when running FindBoost for the
-# first time, it will set ${Boost_LIBRARIES} to "" but afterwards to the libs.
-IF (MSVC)
-  # Little bit hacky, but Boost_LIBRARY_DIRS doesn't get set right when having
-  # debug and optimized libraries.
-  GET_FILENAME_COMPONENT(BOOST_LINK_DIR "${Boost_THREAD_LIBRARY_RELEASE}" PATH)
-  LINK_DIRECTORIES(${BOOST_LINK_DIR})
-ENDIF (MSVC)
-
+# MSVC seems to be the only compiler requiring system and date_time
+IF(MSVC)
+  FIND_PACKAGE(Boost 1.34 REQUIRED thread filesystem date_time system)
+ELSE(MSVC)
+  FIND_PACKAGE(Boost 1.34 REQUIRED thread filesystem)
+ENDIF(MSVC)
 
 ####### Static/Dynamic linking options ##########
Index: code/branches/buildsystem2/cmake/LibraryConfigMSVC.cmake
===================================================================
--- code/branches/buildsystem2/cmake/LibraryConfigMSVC.cmake	(revision 2629)
+++ code/branches/buildsystem2/cmake/LibraryConfigMSVC.cmake	(revision 2630)
@@ -66,9 +66,10 @@
   SET(ENV{LUA_DIR}               ${MSVC_INCLUDE_DIR}/lua-5.1.3)
   SET(ENV{OGGDIR}                ${MSVC_INCLUDE_DIR}/libogg-1.1.3)
+  SET(ENV{VORBISDIR}             ${MSVC_INCLUDE_DIR}/libvorbis-1.2.0)
   SET(ENV{OGRE_HOME}             ${MSVC_INCLUDE_DIR}/ogre-1.4.9)
   SET(ENV{OGRE_PLUGIN_DIR}       ${MSVC_BINARY_DIR})
   SET(ENV{OPENALDIR}             ${MSVC_INCLUDE_DIR}/openal-1.1)
   LIST(APPEND CMAKE_INCLUDE_PATH ${MSVC_INCLUDE_DIR}/tcl-8.5.2/include)
-  SET(ENV{VORBISDIR}             ${MSVC_INCLUDE_DIR}/libvorbis-1.2.0)
+  SET(TCL_LIBRARY                ${MSVC_LIBRARY_DIR}/tcl85.lib CACHE FILEPATH "")
   LIST(APPEND CMAKE_INCLUDE_PATH ${MSVC_INCLUDE_DIR}/zlib-1.2.3/include)
   SET(ZLIB_LIBRARY     optimized ${MSVC_LIBRARY_DIR}/zlib.lib
Index: code/branches/buildsystem2/cmake/LibraryConfigMinGW.cmake
===================================================================
--- code/branches/buildsystem2/cmake/LibraryConfigMinGW.cmake	(revision 2629)
+++ code/branches/buildsystem2/cmake/LibraryConfigMinGW.cmake	(revision 2630)
@@ -63,10 +63,12 @@
   SET(ENV{LUA_DIR}               ${MINGW_INCLUDE_DIR}/lua-5.1.3)
   SET(ENV{OGGDIR}                ${MINGW_INCLUDE_DIR}/libogg-1.1.3)
-  SET(ENV{OGRE_HOME}             ${MINGW_INCLUDE_DIR}/ogre-1.4.8)
+  SET(ENV{VORBISDIR}             ${MINGW_INCLUDE_DIR}/libvorbis-1.2.0)
+  SET(ENV{OGRE_HOME}             ${MINGW_INCLUDE_DIR}/ogre-1.4.9)
   SET(ENV{OGRE_PLUGIN_DIR}       ${MINGW_BINARY_DIR})
-  SET(ENV{OPENALDIR}             ${MINGW_INCLUDE_DIR}/openal-0.0.8)
+  SET(ENV{OPENALDIR}             ${MINGW_INCLUDE_DIR}/openal-1.1)
   LIST(APPEND CMAKE_INCLUDE_PATH ${MINGW_INCLUDE_DIR}/tcl-8.5.2/include)
-  SET(ENV{VORBISDIR}             ${MINGW_INCLUDE_DIR}/libvorbis-1.2.0)
+  SET(TCL_LIBRARY                ${MINGW_BINARY_DIR}/tcl85.dll CACHE FILEPATH "")
   LIST(APPEND CMAKE_INCLUDE_PATH ${MINGW_INCLUDE_DIR}/zlib-1.2.3/include)
+  SET(ZLIB_LIBRARY               ${MINGW_LIBRARY_DIR}/libzlib.a CACHE FILEPATH "")
   SET(LINK_ZLIB_DYNAMIC FALSE)
 
Index: code/branches/buildsystem2/src/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/CMakeLists.txt	(revision 2629)
+++ code/branches/buildsystem2/src/CMakeLists.txt	(revision 2630)
@@ -47,5 +47,5 @@
   ${ENET_INCLUDE_DIR}
   ${Boost_INCLUDE_DIRS}
-  ${OPENAL_INCLUDE_DIR}
+  ${OPENAL_INCLUDE_DIRS}
   ${ALUT_INCLUDE_DIR}
   ${VORBIS_INCLUDE_DIR}
Index: code/branches/buildsystem2/src/audio/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/audio/CMakeLists.txt	(revision 2629)
+++ code/branches/buildsystem2/src/audio/CMakeLists.txt	(revision 2630)
@@ -37,10 +37,5 @@
 ADD_COMPILER_FLAGS("-w44244" MSVC)
 
-IF (MINGW)
-  ADD_LIBRARY( audio ${AUDIO_FILES})
-ELSE (MINGW)
-  ADD_LIBRARY( audio SHARED ${AUDIO_FILES})
-ENDIF (MINGW)
-
+ADD_LIBRARY( audio SHARED ${AUDIO_FILES})
 SET_TARGET_PROPERTIES(audio PROPERTIES DEFINE_SYMBOL "AUDIO_SHARED_BUILD")
 TARGET_LINK_LIBRARIES( audio
Index: code/branches/buildsystem2/src/core/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/core/CMakeLists.txt	(revision 2629)
+++ code/branches/buildsystem2/src/core/CMakeLists.txt	(revision 2630)
@@ -75,4 +75,6 @@
   ${Boost_THREAD_LIBRARY}
   ${Boost_FILESYSTEM_LIBRARY}
+  ${Boost_SYSTEM_LIBRARY}    # MSVC only
+  ${Boost_DATE_TIME_LIBRARY} # MSVC only
   ${LUA_LIBRARIES}
   cpptcl_orxonox
Index: code/branches/buildsystem2/src/network/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/network/CMakeLists.txt	(revision 2629)
+++ code/branches/buildsystem2/src/network/CMakeLists.txt	(revision 2630)
@@ -39,10 +39,5 @@
 GENERATE_SOURCE_GROUPS(${NETWORK_FILES})
 
-IF(MINGW)
-  ADD_LIBRARY(network ${NETWORK_FILES})
-ELSE()
-  ADD_LIBRARY(network SHARED ${NETWORK_FILES})
-ENDIF()
-
+ADD_LIBRARY(network SHARED ${NETWORK_FILES})
 SET_TARGET_PROPERTIES(network PROPERTIES DEFINE_SYMBOL "NETWORK_SHARED_BUILD")
 TARGET_LINK_LIBRARIES(network