Index: /code/branches/buildsystem2/cmake/InstallUtilities.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/InstallUtilities.cmake	(revision 2634)
+++ /code/branches/buildsystem2/cmake/InstallUtilities.cmake	(revision 2634)
@@ -0,0 +1,34 @@
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+ #
+ #  Author:
+ #    Reto Grieder
+ #  Description:
+ #    Helps configuring the INSTALL command in more global way.
+ #  Parameters:
+ #    Specifiy the targets as additional parameter.
+ #
+
+FUNCTION(ORXONOX_INSTALL)
+  INSTALL(TARGETS ${ARGN}
+    RUNTIME DESTINATION bin
+    LIBRARY DESTINATION lib
+    ARCHIVE DESTINATION lib
+  )
+ENDFUNCTION(ORXONOX_INSTALL)
Index: /code/branches/buildsystem2/src/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/CMakeLists.txt	(revision 2633)
+++ /code/branches/buildsystem2/src/CMakeLists.txt	(revision 2634)
@@ -22,6 +22,7 @@
 # various macro includes
 INCLUDE(FlagUtilities)
+INCLUDE(GenerateToluaBindings)
+INCLUDE(InstallUtilities)
 INCLUDE(SourceFileUtilities)
-INCLUDE(GenerateToluaBindings)
 
 # Use TinyXML++
Index: /code/branches/buildsystem2/src/audio/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/audio/CMakeLists.txt	(revision 2633)
+++ /code/branches/buildsystem2/src/audio/CMakeLists.txt	(revision 2634)
@@ -49,5 +49,3 @@
 )
 
-IF (NOT WIN32)
-  INSTALL(TARGETS audio LIBRARY DESTINATION lib)
-ENDIF (NOT WIN32)
+ORXONOX_INSTALL(audio)
Index: /code/branches/buildsystem2/src/ceguilua/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ceguilua/CMakeLists.txt	(revision 2633)
+++ /code/branches/buildsystem2/src/ceguilua/CMakeLists.txt	(revision 2634)
@@ -76,5 +76,3 @@
 )
 
-IF(NOT WIN32)
-  INSTALL(TARGETS ceguilua_orxonox LIBRARY DESTINATION lib)
-ENDIF()
+ORXONOX_INSTALL(ceguilua_orxonox)
Index: /code/branches/buildsystem2/src/core/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/core/CMakeLists.txt	(revision 2633)
+++ /code/branches/buildsystem2/src/core/CMakeLists.txt	(revision 2634)
@@ -85,5 +85,3 @@
 )
 
-IF(NOT WIN32)
-  INSTALL(TARGETS core LIBRARY DESTINATION lib)
-ENDIF()
+ORXONOX_INSTALL(core)
Index: /code/branches/buildsystem2/src/cpptcl/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/cpptcl/CMakeLists.txt	(revision 2633)
+++ /code/branches/buildsystem2/src/cpptcl/CMakeLists.txt	(revision 2634)
@@ -43,5 +43,3 @@
 )
 
-IF(NOT WIN32)
-  INSTALL(TARGETS cpptcl_orxonox LIBRARY DESTINATION lib)
-ENDIF()
+ORXONOX_INSTALL(cpptcl_orxonox)
Index: /code/branches/buildsystem2/src/network/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/network/CMakeLists.txt	(revision 2633)
+++ /code/branches/buildsystem2/src/network/CMakeLists.txt	(revision 2634)
@@ -49,7 +49,5 @@
 )
 
-IF(NOT WIN32)
-  INSTALL(TARGETS network LIBRARY DESTINATION lib)
-ENDIF()
+ORXONOX_INSTALL(network)
 
 # build those parts only on request.
Index: /code/branches/buildsystem2/src/ogreceguirenderer/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ogreceguirenderer/CMakeLists.txt	(revision 2633)
+++ /code/branches/buildsystem2/src/ogreceguirenderer/CMakeLists.txt	(revision 2634)
@@ -35,5 +35,4 @@
   ${CEGUI_LIBRARY}
 )
-IF(NOT WIN32)
-  INSTALL(TARGETS ogreceguirenderer_orxonox LIBRARY DESTINATION lib)
-ENDIF()
+
+ORXONOX_INSTALL(ogreceguirenderer_orxonox)
Index: /code/branches/buildsystem2/src/ois/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ois/CMakeLists.txt	(revision 2633)
+++ /code/branches/buildsystem2/src/ois/CMakeLists.txt	(revision 2634)
@@ -62,2 +62,3 @@
 ENDIF()
 
+ORXONOX_INSTALL(ois_orxonox)
Index: /code/branches/buildsystem2/src/orxonox/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/orxonox/CMakeLists.txt	(revision 2633)
+++ /code/branches/buildsystem2/src/orxonox/CMakeLists.txt	(revision 2634)
@@ -84,5 +84,3 @@
 ENDIF(MSVC)
 
-IF(NOT WIN32)
-  INSTALL(TARGETS orxonox RUNTIME DESTINATION bin)
-ENDIF()
+ORXONOX_INSTALL(orxonox)
Index: /code/branches/buildsystem2/src/tinyxml/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/tinyxml/CMakeLists.txt	(revision 2633)
+++ /code/branches/buildsystem2/src/tinyxml/CMakeLists.txt	(revision 2634)
@@ -38,5 +38,3 @@
 ENDIF()
 
-IF(NOT WIN32)
-  INSTALL(TARGETS tinyxml++_orxonox LIBRARY DESTINATION lib)
-ENDIF()
+ORXONOX_INSTALL(tinyxml++_orxonox)
Index: /code/branches/buildsystem2/src/tolua/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/tolua/CMakeLists.txt	(revision 2633)
+++ /code/branches/buildsystem2/src/tolua/CMakeLists.txt	(revision 2634)
@@ -38,7 +38,5 @@
 TARGET_LINK_LIBRARIES(tolua++_orxonox ${LUA_LIBRARIES})
 
-IF(NOT WIN32)
-#  INSTALL(TARGETS tolualib_orxonox LIBRARY DESTINATION lib)
-ENDIF()
+ORXONOX_INSTALL(tolua++_orxonox)
 
 
Index: /code/branches/buildsystem2/src/util/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/util/CMakeLists.txt	(revision 2633)
+++ /code/branches/buildsystem2/src/util/CMakeLists.txt	(revision 2634)
@@ -62,5 +62,3 @@
 TARGET_LINK_LIBRARIES(util ${OGRE_LIBRARY})
 
-IF(NOT WIN32)
-  INSTALL(TARGETS util LIBRARY DESTINATION lib)
-ENDIF()
+ORXONOX_INSTALL(util)