Index: /code/branches/buildsystem2/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/CMakeLists.txt	(revision 2639)
+++ /code/branches/buildsystem2/CMakeLists.txt	(revision 2640)
@@ -23,7 +23,8 @@
 
 SET(ORXONOX_VERSION_MAJOR 0)
-SET(ORXONOX_VERSION_MINOR 1)
-SET(ORXONOX_VERSION_PATCH 0)
-SET(ORXONOX_VERSION 0.1.0)
+SET(ORXONOX_VERSION_MINOR 0)
+SET(ORXONOX_VERSION_PATCH 3)
+SET(ORXONOX_VERSION 0.0.3)
+SET(ORXONOX_VERSION_NAME "Castor")
 
 # Keep devs from using the root directory as binary directory (messes up the source tree)
Index: /code/branches/buildsystem2/cmake/BuildConfigGCC.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/BuildConfigGCC.cmake	(revision 2639)
+++ /code/branches/buildsystem2/cmake/BuildConfigGCC.cmake	(revision 2640)
@@ -36,6 +36,6 @@
 INCLUDE(CompareVersionStrings)
 COMPARE_VERSION_STRINGS("${GCC_VERSION}" "4.0.0" _compare_result)
-IF(NOT _compare_result LESS 0)
-  SET(GCC_SYSTEM_HEADER_SUPPORT TRUE)
+IF(_compare_result LESS 0)
+  SET(GCC_NO_SYSTEM_HEADER_SUPPORT)
 ENDIF()
 
Index: /code/branches/buildsystem2/cmake/GenerateToluaBindings.cmake
===================================================================
--- /code/branches/buildsystem2/cmake/GenerateToluaBindings.cmake	(revision 2639)
+++ /code/branches/buildsystem2/cmake/GenerateToluaBindings.cmake	(revision 2640)
@@ -38,6 +38,6 @@
 
   SET(_tolua_pkgfile "${CMAKE_CURRENT_BINARY_DIR}/tolua.pkg")
-  SET(_tolua_cxxfile "${CMAKE_CURRENT_BINARY_DIR}/ToluaBind${_tolua_package}.cc")
-  SET(_tolua_hfile   "${CMAKE_CURRENT_BINARY_DIR}/ToluaBind${_tolua_package}.h")
+  SET(_tolua_cxxfile "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_CFG_INTDIR}/ToluaBind${_tolua_package}.cc")
+  SET(_tolua_hfile   "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_CFG_INTDIR}/ToluaBind${_tolua_package}.h")
 
   SET(${_target_source_files}
Index: /code/branches/buildsystem2/src/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/CMakeLists.txt	(revision 2639)
+++ /code/branches/buildsystem2/src/CMakeLists.txt	(revision 2640)
@@ -93,10 +93,14 @@
   ${ZLIB_INCLUDE_DIR}
 
-  # Internal
-  .
-  orxonox
-  # Required for tolua bind and config files that are in the binary folder
+  # All library includes are prefixed with the path to avoid conflicts
+  ${CMAKE_CURRENT_SOURCE_DIR}
+  # Convenience directory
+  ${CMAKE_CURRENT_SOURCE_DIR}/orxonox
+  # OrxonoxConfig.h
   ${CMAKE_CURRENT_BINARY_DIR}
-  ${CMAKE_CURRENT_BINARY_DIR}/orxonox
+  # Tolua bind files for Core
+  ${CMAKE_CURRENT_BINARY_DIR}/core/${CMAKE_CFG_INTDIR}
+  # Tolua bind files for Orxonox
+  ${CMAKE_CURRENT_BINARY_DIR}/orxonox/${CMAKE_CFG_INTDIR}
 )
 
Index: /code/branches/buildsystem2/src/ceguilua/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/ceguilua/CMakeLists.txt	(revision 2639)
+++ /code/branches/buildsystem2/src/ceguilua/CMakeLists.txt	(revision 2640)
@@ -50,8 +50,8 @@
 # Create the tolua bind file. We could use the orignal file though, but it is 1.6MB...
 ADD_CUSTOM_COMMAND(
-  OUTPUT ${CEGUILUA_BINARY_DIR}/lua_CEGUI.cpp
+  OUTPUT ${CEGUILUA_BINARY_DIR}/${CMAKE_CFG_INTDIR}/lua_CEGUI.cpp
   COMMAND tolua++app_orxonox -n CEGUI
                              -w ${CEGUILUA_BINARY_DIR}
-                             -o lua_CEGUI.cpp
+                             -o ${CMAKE_CFG_INTDIR}/lua_CEGUI.cpp
                              -L exceptions.lua
                              -s ${TOLUA_PARSER_SOURCE}
Index: /code/branches/buildsystem2/src/core/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/core/CMakeLists.txt	(revision 2639)
+++ /code/branches/buildsystem2/src/core/CMakeLists.txt	(revision 2640)
@@ -68,5 +68,5 @@
 GENERATE_TOLUA_BINDINGS(Core CORE_FILES INPUTFILES LuaBind.h CommandExecutor.h)
 
-IF(NOT GCC_SYSTEM_HEADER_SUPPORT)
+IF(GCC_NO_SYSTEM_HEADER_SUPPORT)
   # Get around displaying a few hundred lines of warning code
   SET_SOURCE_FILES_PROPERTIES(ArgumentCompletionFunctions.cc PROPERTIES COMPILE_FLAGS "-w")
Index: /code/branches/buildsystem2/src/orxonox/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/orxonox/CMakeLists.txt	(revision 2639)
+++ /code/branches/buildsystem2/src/orxonox/CMakeLists.txt	(revision 2640)
@@ -40,5 +40,5 @@
 INCLUDE_DIRECTORIES(pch/nopch)
 
-IF(NOT GCC_SYSTEM_HEADER_SUPPORT)
+IF(GCC_NO_SYSTEM_HEADER_SUPPORT)
   # Get around displaying a few hundred lines of warning code
   SET_SOURCE_FILES_PROPERTIES(gamestates/GSGraphics.cc PROPERTIES COMPILE_FLAGS "-w")
Index: /code/branches/buildsystem2/src/util/CMakeLists.txt
===================================================================
--- /code/branches/buildsystem2/src/util/CMakeLists.txt	(revision 2639)
+++ /code/branches/buildsystem2/src/util/CMakeLists.txt	(revision 2640)
@@ -63,5 +63,5 @@
 )
 
-IF(NOT GCC_SYSTEM_HEADER_SUPPORT)
+IF(GCC_NO_SYSTEM_HEADER_SUPPORT)
   # Get around displaying a few hundred lines of warning code
   SET_SOURCE_FILES_PROPERTIES(MultiType.cc PROPERTIES COMPILE_FLAGS "-w")